Index: branches/UKMO/r6232_obs_oper_update/NEMOGCM/NEMO/OPA_SRC/OBS/diaobs.F90
===================================================================
--- branches/UKMO/r6232_obs_oper_update/NEMOGCM/NEMO/OPA_SRC/OBS/diaobs.F90	(revision 15754)
+++ branches/UKMO/r6232_obs_oper_update/NEMOGCM/NEMO/OPA_SRC/OBS/diaobs.F90	(revision 15764)
@@ -289,41 +337,44 @@
       !-----------------------------------------------------------------------
 
-      ! Some namelist arrays need initialising
-      cn_profbfiles(:)      = ''
-      cn_slafbfiles(:)      = ''
-      cn_sstfbfiles(:)      = ''
-      cn_sicfbfiles(:)      = ''
-      cn_velfbfiles(:)      = ''
-      cn_sssfbfiles(:)      = ''
-      cn_slchltotfbfiles(:) = ''
-      cn_slchldiafbfiles(:) = ''
-      cn_slchlnonfbfiles(:) = ''
-      cn_slchldinfbfiles(:) = ''
-      cn_slchlmicfbfiles(:) = ''
-      cn_slchlnanfbfiles(:) = ''
-      cn_slchlpicfbfiles(:) = ''
-      cn_schltotfbfiles(:)  = ''
-      cn_slphytotfbfiles(:) = ''
-      cn_slphydiafbfiles(:) = ''
-      cn_slphynonfbfiles(:) = ''
-      cn_sspmfbfiles(:)     = ''
-      cn_sfco2fbfiles(:)    = ''
-      cn_spco2fbfiles(:)    = ''
-      cn_plchltotfbfiles(:) = ''
-      cn_pchltotfbfiles(:)  = ''
-      cn_pno3fbfiles(:)     = ''
-      cn_psi4fbfiles(:)     = ''
-      cn_ppo4fbfiles(:)     = ''
-      cn_pdicfbfiles(:)     = ''
-      cn_palkfbfiles(:)     = ''
-      cn_pphfbfiles(:)      = ''
-      cn_po2fbfiles(:)      = ''
-      cn_sstbiasfiles(:)    = ''
-      nn_profdavtypes(:)    = -1
-
-      CALL ini_date( rn_dobsini )
-      CALL fin_date( rn_dobsend )
-
-      ! Read namelist namobs : control observation diagnostics
+      cn_profbfiles(:)      = '' 
+      cn_slafbfiles(:)      = '' 
+      cn_sstfbfiles(:)      = '' 
+      cn_sicfbfiles(:)      = '' 
+      cn_sitfbfiles(:)      = '' 
+      cn_fbdfbfiles(:)      = '' 
+      cn_velfbfiles(:)      = '' 
+      cn_sssfbfiles(:)      = '' 
+      cn_ssvfbfiles(:)      = ''       
+      cn_slchltotfbfiles(:) = '' 
+      cn_slchldiafbfiles(:) = '' 
+      cn_slchlnonfbfiles(:) = '' 
+      cn_slchldinfbfiles(:) = '' 
+      cn_slchlmicfbfiles(:) = '' 
+      cn_slchlnanfbfiles(:) = '' 
+      cn_slchlpicfbfiles(:) = '' 
+      cn_schltotfbfiles(:)  = '' 
+      cn_slphytotfbfiles(:) = '' 
+      cn_slphydiafbfiles(:) = '' 
+      cn_slphynonfbfiles(:) = '' 
+      cn_sspmfbfiles(:)     = '' 
+      cn_skd490fbfiles(:)   = '' 
+      cn_sfco2fbfiles(:)    = '' 
+      cn_spco2fbfiles(:)    = '' 
+      cn_plchltotfbfiles(:) = '' 
+      cn_pchltotfbfiles(:)  = '' 
+      cn_pno3fbfiles(:)     = '' 
+      cn_psi4fbfiles(:)     = '' 
+      cn_ppo4fbfiles(:)     = '' 
+      cn_pdicfbfiles(:)     = '' 
+      cn_palkfbfiles(:)     = '' 
+      cn_pphfbfiles(:)      = '' 
+      cn_po2fbfiles(:)      = '' 
+      cn_sstbiasfiles(:)    = '' 
+      nn_profdavtypes(:)    = -1 
+
+      CALL ini_date( rn_dobsini ) 
+      CALL fin_date( rn_dobsend ) 
+
+      ! Read namelist namobs : control observation diagnostics 
       REWIND( numnam_ref )   ! Namelist namobs in reference namelist
       READ  ( numnam_ref, namobs, IOSTAT = ios, ERR = 901)
@@ -351,68 +402,83 @@
          WRITE(numout,*) '~~~~~~~~~~~~'
          WRITE(numout,*) '          Namelist namobs : set observation diagnostic parameters' 
-         WRITE(numout,*) '             Logical switch for T profile observations                ln_t3d = ', ln_t3d
-         WRITE(numout,*) '             Logical switch for S profile observations                ln_s3d = ', ln_s3d
-         WRITE(numout,*) '             Logical switch for SLA observations                      ln_sla = ', ln_sla
-         WRITE(numout,*) '             Logical switch for SST observations                      ln_sst = ', ln_sst
-         WRITE(numout,*) '             Logical switch for Sea Ice observations                  ln_sic = ', ln_sic
-         WRITE(numout,*) '             Logical switch for velocity observations               ln_vel3d = ', ln_vel3d
-         WRITE(numout,*) '             Logical switch for SSS observations                      ln_sss = ', ln_sss
-         WRITE(numout,*) '             Logical switch for surface total logchl obs         ln_slchltot = ', ln_slchltot
-         WRITE(numout,*) '             Logical switch for surface diatom logchl obs        ln_slchldia = ', ln_slchldia
-         WRITE(numout,*) '             Logical switch for surface non-diatom logchl obs    ln_slchlnon = ', ln_slchlnon
-         WRITE(numout,*) '             Logical switch for surface dino logchl obs          ln_slchldin = ', ln_slchldin
-         WRITE(numout,*) '             Logical switch for surface micro logchl obs         ln_slchlmic = ', ln_slchlmic
-         WRITE(numout,*) '             Logical switch for surface nano logchl obs          ln_slchlnan = ', ln_slchlnan
-         WRITE(numout,*) '             Logical switch for surface pico logchl obs          ln_slchlpic = ', ln_slchlpic
-         WRITE(numout,*) '             Logical switch for surface total chl obs             ln_schltot = ', ln_schltot
-         WRITE(numout,*) '             Logical switch for surface total log(phyC) obs      ln_slphytot = ', ln_slphytot
-         WRITE(numout,*) '             Logical switch for surface diatom log(phyC) obs     ln_slphydia = ', ln_slphydia
-         WRITE(numout,*) '             Logical switch for surface non-diatom log(phyC) obs ln_slphynon = ', ln_slphynon
-         WRITE(numout,*) '             Logical switch for surface SPM observations             ln_sspm = ', ln_sspm
-         WRITE(numout,*) '             Logical switch for surface fCO2 observations           ln_sfco2 = ', ln_sfco2
-         WRITE(numout,*) '             Logical switch for surface pCO2 observations           ln_spco2 = ', ln_spco2
-         WRITE(numout,*) '             Logical switch for profile total logchl obs         ln_plchltot = ', ln_plchltot
-         WRITE(numout,*) '             Logical switch for profile total chl obs             ln_pchltot = ', ln_pchltot
-         WRITE(numout,*) '             Logical switch for profile nitrate obs                  ln_pno3 = ', ln_pno3
-         WRITE(numout,*) '             Logical switch for profile silicate obs                 ln_psi4 = ', ln_psi4
-         WRITE(numout,*) '             Logical switch for profile phosphate obs                ln_ppo4 = ', ln_ppo4
-         WRITE(numout,*) '             Logical switch for profile DIC obs                      ln_pdic = ', ln_pdic
-         WRITE(numout,*) '             Logical switch for profile alkalinity obs               ln_palk = ', ln_palk
-         WRITE(numout,*) '             Logical switch for profile pH obs                        ln_pph = ', ln_pph
-         WRITE(numout,*) '             Logical switch for profile oxygen obs                    ln_po2 = ', ln_po2
-         WRITE(numout,*) '             Global distribution of observations              ln_grid_global = ', ln_grid_global
+         WRITE(numout,*) '             Logical switch for T profile observations                ln_t3d = ', ln_t3d 
+         WRITE(numout,*) '             Logical switch for S profile observations                ln_s3d = ', ln_s3d 
+         WRITE(numout,*) '             Logical switch for SLA observations                      ln_sla = ', ln_sla 
+         WRITE(numout,*) '             Logical switch for SST observations                      ln_sst = ', ln_sst 
+         WRITE(numout,*) '             Logical switch for SIC observations                      ln_sic = ', ln_sic 
+         WRITE(numout,*) '             Logical switch for SIT observations                      ln_sit = ', ln_sit 
+         WRITE(numout,*) '             Logical switch for FBD observations                      ln_fbd = ', ln_fbd 
+         WRITE(numout,*) '             Logical switch for velocity observations               ln_vel3d = ', ln_vel3d 
+         WRITE(numout,*) '             Logical switch for SSS observations                      ln_sss = ', ln_sss 
+         WRITE(numout,*) '             Logical switch for SSV observations                      ln_ssv = ', ln_ssv          
+         WRITE(numout,*) '             Logical switch for surface total logchl obs         ln_slchltot = ', ln_slchltot 
+         WRITE(numout,*) '             Logical switch for surface diatom logchl obs        ln_slchldia = ', ln_slchldia 
+         WRITE(numout,*) '             Logical switch for surface non-diatom logchl obs    ln_slchlnon = ', ln_slchlnon 
+         WRITE(numout,*) '             Logical switch for surface dino logchl obs          ln_slchldin = ', ln_slchldin 
+         WRITE(numout,*) '             Logical switch for surface micro logchl obs         ln_slchlmic = ', ln_slchlmic 
+         WRITE(numout,*) '             Logical switch for surface nano logchl obs          ln_slchlnan = ', ln_slchlnan 
+         WRITE(numout,*) '             Logical switch for surface pico logchl obs          ln_slchlpic = ', ln_slchlpic 
+         WRITE(numout,*) '             Logical switch for surface total chl obs             ln_schltot = ', ln_schltot 
+         WRITE(numout,*) '             Logical switch for surface total log(phyC) obs      ln_slphytot = ', ln_slphytot 
+         WRITE(numout,*) '             Logical switch for surface diatom log(phyC) obs     ln_slphydia = ', ln_slphydia 
+         WRITE(numout,*) '             Logical switch for surface non-diatom log(phyC) obs ln_slphynon = ', ln_slphynon 
+         WRITE(numout,*) '             Logical switch for surface SPM observations             ln_sspm = ', ln_sspm 
+         WRITE(numout,*) '             Logical switch for surface Kd490 observations         ln_skd490 = ', ln_skd490 
+         WRITE(numout,*) '             Logical switch for surface fCO2 observations           ln_sfco2 = ', ln_sfco2 
+         WRITE(numout,*) '             Logical switch for surface pCO2 observations           ln_spco2 = ', ln_spco2 
+         WRITE(numout,*) '             Logical switch for profile total logchl obs         ln_plchltot = ', ln_plchltot 
+         WRITE(numout,*) '             Logical switch for profile total chl obs             ln_pchltot = ', ln_pchltot 
+         WRITE(numout,*) '             Logical switch for profile nitrate obs                  ln_pno3 = ', ln_pno3 
+         WRITE(numout,*) '             Logical switch for profile silicate obs                 ln_psi4 = ', ln_psi4 
+         WRITE(numout,*) '             Logical switch for profile phosphate obs                ln_ppo4 = ', ln_ppo4 
+         WRITE(numout,*) '             Logical switch for profile DIC obs                      ln_pdic = ', ln_pdic 
+         WRITE(numout,*) '             Logical switch for profile alkalinity obs               ln_palk = ', ln_palk 
+         WRITE(numout,*) '             Logical switch for profile pH obs                        ln_pph = ', ln_pph 
+         WRITE(numout,*) '             Logical switch for profile oxygen obs                    ln_po2 = ', ln_po2 
+         WRITE(numout,*) '             Global distribution of observations              ln_grid_global = ', ln_grid_global 
          WRITE(numout,*) '             Logical switch for obs grid search lookup ln_grid_search_lookup = ', ln_grid_search_lookup
          IF (ln_grid_search_lookup) &
             WRITE(numout,*) '             Grid search lookup file header                cn_gridsearchfile = ', cn_gridsearchfile
-         WRITE(numout,*) '             Initial date in window YYYYMMDD.HHMMSS               rn_dobsini = ', rn_dobsini
-         WRITE(numout,*) '             Final date in window YYYYMMDD.HHMMSS                 rn_dobsend = ', rn_dobsend
-         WRITE(numout,*) '             Type of vertical interpolation method                  nn_1dint = ', nn_1dint
-         WRITE(numout,*) '             Default horizontal interpolation method        nn_2dint_default = ', nn_2dint_default
-         WRITE(numout,*) '             Type of horizontal interpolation method for SLA    nn_2dint_sla = ', nn_2dint_sla
-         WRITE(numout,*) '             Type of horizontal interpolation method for SST    nn_2dint_sst = ', nn_2dint_sst
-         WRITE(numout,*) '             Type of horizontal interpolation method for SSS    nn_2dint_sss = ', nn_2dint_sss
-         WRITE(numout,*) '             Type of horizontal interpolation method for SIC    nn_2dint_sic = ', nn_2dint_sic
-         WRITE(numout,*) '             Default E/W diameter of obs footprint      rn_default_avglamscl = ', rn_default_avglamscl
-         WRITE(numout,*) '             Default N/S diameter of obs footprint      rn_default_avgphiscl = ', rn_default_avgphiscl
-         WRITE(numout,*) '             Default obs footprint in deg [T] or m [F]  ln_default_fp_indegs = ', ln_default_fp_indegs
-         WRITE(numout,*) '             SLA E/W diameter of obs footprint              rn_sla_avglamscl = ', rn_sla_avglamscl
-         WRITE(numout,*) '             SLA N/S diameter of obs footprint              rn_sla_avgphiscl = ', rn_sla_avgphiscl
-         WRITE(numout,*) '             SLA obs footprint in deg [T] or m [F]          ln_sla_fp_indegs = ', ln_sla_fp_indegs
-         WRITE(numout,*) '             SST E/W diameter of obs footprint              rn_sst_avglamscl = ', rn_sst_avglamscl
-         WRITE(numout,*) '             SST N/S diameter of obs footprint              rn_sst_avgphiscl = ', rn_sst_avgphiscl
-         WRITE(numout,*) '             SST obs footprint in deg [T] or m [F]          ln_sst_fp_indegs = ', ln_sst_fp_indegs
-         WRITE(numout,*) '             SIC E/W diameter of obs footprint              rn_sic_avglamscl = ', rn_sic_avglamscl
-         WRITE(numout,*) '             SIC N/S diameter of obs footprint              rn_sic_avgphiscl = ', rn_sic_avgphiscl
-         WRITE(numout,*) '             SIC obs footprint in deg [T] or m [F]          ln_sic_fp_indegs = ', ln_sic_fp_indegs
-         WRITE(numout,*) '             Rejection of observations near land switch               ln_nea = ', ln_nea
-         WRITE(numout,*) '             Rejection of obs near open bdys                 ln_bound_reject = ', ln_bound_reject
-         WRITE(numout,*) '             MSSH correction scheme                                 nn_msshc = ', nn_msshc
-         WRITE(numout,*) '             MDT  correction                                      rn_mdtcorr = ', rn_mdtcorr
-         WRITE(numout,*) '             MDT cutoff for computed correction                 rn_mdtcutoff = ', rn_mdtcutoff
-         WRITE(numout,*) '             Logical switch for alt bias                          ln_altbias = ', ln_altbias
-         WRITE(numout,*) '             Logical switch for sst bias                          ln_sstbias = ', ln_sstbias
-         WRITE(numout,*) '             Logical switch for ignoring missing files             ln_ignmis = ', ln_ignmis
-         WRITE(numout,*) '             Daily average types                             nn_profdavtypes = ', nn_profdavtypes
-         WRITE(numout,*) '             Logical switch for night-time SST obs               ln_sstnight = ', ln_sstnight
+            WRITE(numout,*) '             Initial date in window YYYYMMDD.HHMMSS               rn_dobsini = ', rn_dobsini 
+            WRITE(numout,*) '             Final date in window YYYYMMDD.HHMMSS                 rn_dobsend = ', rn_dobsend 
+            WRITE(numout,*) '             Type of vertical interpolation method                  nn_1dint = ', nn_1dint 
+            WRITE(numout,*) '             Default horizontal interpolation method        nn_2dint_default = ', nn_2dint_default 
+            WRITE(numout,*) '             Type of horizontal interpolation method for SLA    nn_2dint_sla = ', nn_2dint_sla 
+            WRITE(numout,*) '             Type of horizontal interpolation method for SST    nn_2dint_sst = ', nn_2dint_sst 
+            WRITE(numout,*) '             Type of horizontal interpolation method for SSS    nn_2dint_sss = ', nn_2dint_sss 
+            WRITE(numout,*) '             Type of horizontal interpolation method for SSV    nn_2dint_ssv = ', nn_2dint_ssv          
+            WRITE(numout,*) '             Type of horizontal interpolation method for SIC    nn_2dint_sic = ', nn_2dint_sic 
+            WRITE(numout,*) '             Type of horizontal interpolation method for SIT    nn_2dint_sit = ', nn_2dint_sit 
+            WRITE(numout,*) '             Type of horizontal interpolation method for FBD    nn_2dint_fbd = ', nn_2dint_fbd 
+            WRITE(numout,*) '             Default E/W diameter of obs footprint      rn_default_avglamscl = ', rn_default_avglamscl 
+            WRITE(numout,*) '             Default N/S diameter of obs footprint      rn_default_avgphiscl = ', rn_default_avgphiscl 
+            WRITE(numout,*) '             Default obs footprint in deg [T] or m [F]  ln_default_fp_indegs = ', ln_default_fp_indegs 
+            WRITE(numout,*) '             SLA E/W diameter of obs footprint              rn_sla_avglamscl = ', rn_sla_avglamscl 
+            WRITE(numout,*) '             SLA N/S diameter of obs footprint              rn_sla_avgphiscl = ', rn_sla_avgphiscl 
+            WRITE(numout,*) '             SLA obs footprint in deg [T] or m [F]          ln_sla_fp_indegs = ', ln_sla_fp_indegs 
+            WRITE(numout,*) '             SST E/W diameter of obs footprint              rn_sst_avglamscl = ', rn_sst_avglamscl 
+            WRITE(numout,*) '             SST N/S diameter of obs footprint              rn_sst_avgphiscl = ', rn_sst_avgphiscl 
+            WRITE(numout,*) '             SST obs footprint in deg [T] or m [F]          ln_sst_fp_indegs = ', ln_sst_fp_indegs 
+            WRITE(numout,*) '             SIC E/W diameter of obs footprint              rn_sic_avglamscl = ', rn_sic_avglamscl 
+            WRITE(numout,*) '             SIC N/S diameter of obs footprint              rn_sic_avgphiscl = ', rn_sic_avgphiscl 
+            WRITE(numout,*) '             SIC obs footprint in deg [T] or m [F]          ln_sic_fp_indegs = ', ln_sic_fp_indegs 
+            WRITE(numout,*) '             SIT E/W diameter of obs footprint              rn_sit_avglamscl = ', rn_sit_avglamscl 
+            WRITE(numout,*) '             SIT N/S diameter of obs footprint              rn_sit_avgphiscl = ', rn_sit_avgphiscl 
+            WRITE(numout,*) '             SIT obs footprint in deg [T] or m [F]          ln_sit_fp_indegs = ', ln_sit_fp_indegs 
+            WRITE(numout,*) '             FBD E/W diameter of obs footprint              rn_fbd_avglamscl = ', rn_fbd_avglamscl 
+            WRITE(numout,*) '             FBD N/S diameter of obs footprint              rn_fbd_avgphiscl = ', rn_fbd_avgphiscl 
+            WRITE(numout,*) '             FBD obs footprint in deg [T] or m [F]          ln_fbd_fp_indegs = ', ln_fbd_fp_indegs 
+            WRITE(numout,*) '             Rejection of observations near land switch               ln_nea = ', ln_nea 
+            WRITE(numout,*) '             Rejection of obs near open bdys                 ln_bound_reject = ', ln_bound_reject 
+            WRITE(numout,*) '             MSSH correction scheme nn_msshc = ', nn_msshc 
+            WRITE(numout,*) '             MDT  correction rn_mdtcorr = ', rn_mdtcorr 
+            WRITE(numout,*) '             MDT cutoff for computed correction                 rn_mdtcutoff = ', rn_mdtcutoff 
+            WRITE(numout,*) '             Logical switch for alt bias                          ln_altbias = ', ln_altbias 
+            WRITE(numout,*) '             Logical switch for sst bias                          ln_sstbias = ', ln_sstbias 
+            WRITE(numout,*) '             Logical switch for ignoring missing files             ln_ignmis = ', ln_ignmis 
+            WRITE(numout,*) '             Daily average types nn_profdavtypes = ', nn_profdavtypes 
+            WRITE(numout,*) '             Logical switch for night-time SST obs               ln_sstnight = ', ln_sstnight 
+            WRITE(numout,*) '             Logical switch for writing climat. at obs points ln_output_clim = ', ln_output_clim 
+            WRITE(numout,*) '             Logical switch for time-mean of SLA        ln_time_mean_sla_bkg = ', ln_time_mean_sla_bkg
       ENDIF
       !-----------------------------------------------------------------------
@@ -421,12 +487,13 @@
       !-----------------------------------------------------------------------
 
-      nproftypes = COUNT( (/ln_t3d .OR. ln_s3d, ln_vel3d, ln_plchltot,          &
-         &                  ln_pchltot,  ln_pno3,     ln_psi4,     ln_ppo4,     &
-         &                  ln_pdic,     ln_palk,     ln_pph,      ln_po2 /) )
-      nsurftypes = COUNT( (/ln_sla, ln_sst, ln_sic, ln_sss,                     &
-         &                  ln_slchltot, ln_slchldia, ln_slchlnon, ln_slchldin, &
-         &                  ln_slchlmic, ln_slchlnan, ln_slchlpic, ln_schltot,  &
-         &                  ln_slphytot, ln_slphydia, ln_slphynon, ln_sspm,     &
-         &                  ln_sfco2,    ln_spco2 /) )
+      nproftypes = COUNT( (/ln_t3d .OR. ln_s3d, ln_vel3d, ln_plchltot,          & 
+         &                  ln_pchltot,  ln_pno3,     ln_psi4,     ln_ppo4,     & 
+         &                  ln_pdic,     ln_palk,     ln_pph, ln_po2 /) ) 
+      nsurftypes = COUNT( (/ln_sla, ln_sst, ln_sic, ln_sit, ln_fbd,             & 
+         &                  ln_sss, ln_ssv,                                     & 
+         &                  ln_slchltot, ln_slchldia, ln_slchlnon, ln_slchldin, & 
+         &                  ln_slchlmic, ln_slchlnan, ln_slchlpic, ln_schltot,  & 
+         &                  ln_slphytot, ln_slphydia, ln_slphynon, ln_sspm,     & 
+         &                  ln_skd490,   ln_sfco2,    ln_spco2 /) ) 
 
       IF ( nproftypes == 0 .AND. nsurftypes == 0 ) THEN
@@ -439,4 +506,12 @@
       ENDIF
 
+      IF ( ln_output_clim .AND. ( .NOT. ln_tradmp ) ) THEN 
+         IF(lwp) WRITE(numout,cform_war) 
+         IF(lwp) WRITE(numout,*) ' ln_output_clim is true, but ln_tradmp is false', & 
+            &                    ' so climatological T/S not available and will not be output' 
+         nwarn = nwarn + 1 
+         ln_output_clim = .FALSE. 
+      ENDIF
+
       IF(lwp) WRITE(numout,*) '          Number of profile obs types: ',nproftypes
       IF ( nproftypes > 0 ) THEN
@@ -535,4 +610,14 @@
             clsurffiles(jtype,:) = cn_sicfbfiles
          ENDIF
+         IF (ln_sit) THEN 
+            jtype = jtype + 1 
+            cobstypessurf(jtype) = 'sit' 
+            clsurffiles(jtype,:) = cn_sitfbfiles 
+         ENDIF 
+         IF (ln_fbd) THEN 
+            jtype = jtype + 1 
+            cobstypessurf(jtype) = 'fbd' 
+            clsurffiles(jtype,:) = cn_fbdfbfiles 
+         ENDIF
          IF (ln_sss) THEN
             jtype = jtype + 1
@@ -540,4 +625,9 @@
             clsurffiles(jtype,:) = cn_sssfbfiles
          ENDIF
+         IF (ln_ssv) THEN 
+            jtype = jtype + 1 
+            cobstypessurf(jtype) = 'ssv' 
+            clsurffiles(jtype,:) = cn_ssvfbfiles 
+         ENDIF
          IF (ln_slchltot) THEN
             jtype = jtype + 1
@@ -599,4 +689,9 @@
             cobstypessurf(jtype) = 'sspm'
             clsurffiles(jtype,:) = cn_sspmfbfiles
+         ENDIF
+         IF (ln_skd490) THEN 
+            jtype = jtype + 1 
+            cobstypessurf(jtype) = 'skd490' 
+            clsurffiles(jtype,:) = cn_skd490fbfiles 
          ENDIF
          IF (ln_sfco2) THEN
@@ -645,4 +740,24 @@
                ltype_fp_indegs = ln_sic_fp_indegs
                ltype_night     = .FALSE.
+            ELSE IF ( TRIM(cobstypessurf(jtype)) == 'sit' ) THEN 
+               IF ( nn_2dint_sit == -1 ) THEN 
+                  n2dint_type  = nn_2dint_default 
+               ELSE 
+                  n2dint_type  = nn_2dint_sit 
+               ENDIF 
+               ztype_avglamscl = rn_sit_avglamscl 
+               ztype_avgphiscl = rn_sit_avgphiscl 
+               ltype_fp_indegs = ln_sit_fp_indegs 
+               ltype_night     = .FALSE. 
+            ELSE IF ( TRIM(cobstypessurf(jtype)) == 'fbd' ) THEN 
+               IF ( nn_2dint_fbd == -1 ) THEN 
+                  n2dint_type  = nn_2dint_default 
+               ELSE 
+                  n2dint_type  = nn_2dint_fbd 
+               ENDIF 
+               ztype_avglamscl = rn_fbd_avglamscl 
+               ztype_avgphiscl = rn_fbd_avgphiscl 
+               ltype_fp_indegs = ln_fbd_fp_indegs 
+               ltype_night     = .FALSE.
             ELSE IF ( TRIM(cobstypessurf(jtype)) == 'sss' ) THEN
                IF ( nn_2dint_sss == -1 ) THEN
@@ -654,4 +769,14 @@
                ztype_avgphiscl = rn_sss_avgphiscl
                ltype_fp_indegs = ln_sss_fp_indegs
+               ltype_night     = .FALSE.
+            ELSE IF ( TRIM(cobstypessurf(jtype)) == 'ssv' ) THEN 
+               IF ( nn_2dint_ssv == -1 ) THEN 
+                  n2dint_type  = nn_2dint_default 
+               ELSE 
+                  n2dint_type  = nn_2dint_ssv 
+               ENDIF 
+               ztype_avglamscl = rn_ssv_avglamscl 
+               ztype_avgphiscl = rn_ssv_avgphiscl 
+               ltype_fp_indegs = ln_ssv_fp_indegs 
                ltype_night     = .FALSE.
             ELSE
@@ -715,8 +840,12 @@
          DO jtype = 1, nproftypes
 
+            ltype_clim = .FALSE.
+
             IF ( TRIM(cobstypesprof(jtype)) == 'prof' ) THEN
                nvarsprof(jtype) = 2
                nextrprof(jtype) = 1
+               IF ( ln_output_clim ) ltype_clim = .TRUE.
                ALLOCATE(llvar(nvarsprof(jtype)))
+               ALLOCATE(clvars(nvarsprof(jtype)))
                CALL wrk_alloc( jpi, jpj,      nvarsprof(jtype), zglam )
                CALL wrk_alloc( jpi, jpj,      nvarsprof(jtype), zgphi )
@@ -734,4 +863,5 @@
                nextrprof(jtype) = 2
                ALLOCATE(llvar(nvarsprof(jtype)))
+               ALLOCATE(clvars(nvarsprof(jtype)))
                CALL wrk_alloc( jpi, jpj,      nvarsprof(jtype), zglam )
                CALL wrk_alloc( jpi, jpj,      nvarsprof(jtype), zgphi )
@@ -739,4 +869,6 @@
                llvar(1)       = ln_vel3d
                llvar(2)       = ln_vel3d
+               clvars(1)      = 'UVEL' 
+               clvars(2)      = 'VVEL'
                zglam(:,:,1)   = glamu(:,:)
                zglam(:,:,2)   = glamv(:,:)
@@ -749,4 +881,5 @@
                nextrprof(jtype) = 0
                ALLOCATE(llvar(nvarsprof(jtype)))
+               ALLOCATE(clvars(nvarsprof(jtype)))
                CALL wrk_alloc( jpi, jpj,      nvarsprof(jtype), zglam )
                CALL wrk_alloc( jpi, jpj,      nvarsprof(jtype), zgphi )
@@ -756,4 +889,23 @@
                zgphi(:,:,1)   = gphit(:,:)
                zmask(:,:,:,1) = tmask(:,:,:)
+               IF ( TRIM(cobstypesprof(jtype)) == 'plchltot' ) THEN 
+                  clvars(1) = 'PLCHLTOT' 
+               ELSE IF ( TRIM(cobstypesprof(jtype)) == 'pchltot' )  THEN 
+                  clvars(1) = 'PCHLTOT' 
+               ELSE IF ( TRIM(cobstypesprof(jtype)) == 'pno3' ) THEN 
+                  clvars(1) = 'PNO3' 
+               ELSE IF ( TRIM(cobstypesprof(jtype)) == 'psi4' ) THEN 
+                  clvars(1) = 'PSI4' 
+               ELSE IF ( TRIM(cobstypesprof(jtype)) == 'ppo4' ) THEN 
+                  clvars(1) = 'PPO4' 
+               ELSE IF ( TRIM(cobstypesprof(jtype)) == 'pdic' ) THEN 
+                  clvars(1) = 'PDIC' 
+               ELSE IF ( TRIM(cobstypesprof(jtype)) == 'palk' ) THEN 
+                  clvars(1) = 'PALK' 
+               ELSE IF ( TRIM(cobstypesprof(jtype)) == 'pph' ) THEN 
+                  clvars(1) = 'PPH' 
+               ELSE IF ( TRIM(cobstypesprof(jtype)) == 'po2' ) THEN 
+                  clvars(1) = 'PO2' 
+               ENDIF
             ENDIF
 
@@ -763,5 +915,5 @@
                &               nvarsprof(jtype), nextrprof(jtype), nitend-nit000+2, &
                &               rn_dobsini, rn_dobsend, llvar, &
-               &               ln_ignmis, ln_s_at_t, .FALSE., &
+               &               ln_ignmis, ln_s_at_t, .FALSE., ltype_clim, clvars, &
                &               kdailyavtypes = nn_profdavtypes )
 
